
import { Component, OnInit, Inject, ViewEncapsulation, ViewChild } from '@angular/core';
import { employeeData } from './data';
import { orderDetails } from './data';
import { DetailRowService, GridComponent } from '@syncfusion/ej2-angular-grids';
import { Internationalization } from '@syncfusion/ej2-base';
import { RowDDService, SelectionService } from '@syncfusion/ej2-angular-grids';
import { RowSelectEventArgs, RowDataBoundEventArgs } from '@syncfusion/ej2-grids';

let instance: Internationalization = new Internationalization();

@Component({
  selector: 'app-sample-data-grid',
  templateUrl: './sample-data-grid.component.html',
  styleUrls: ['./sample-data-grid.component.scss'],
  providers: [DetailRowService, RowDDService, SelectionService],
})
export class SampleDataGridComponent implements OnInit {


  public data: any;

  @ViewChild('grid', { static: false })
  public grid: GridComponent;

  public dataGrid2: Object[] = [];
  public selectOptions: Object;

  constructor() {
    this.data = employeeData;
  }

  ngOnInit() {
    this.dataGrid2 = orderDetails;
    this.selectOptions = { type: 'Multiple' };
    
  }

  public format(value: Date): string {
    return instance.formatDate(value, { skeleton: 'yMd', type: 'date' });
}

}